package es.unican.docencia.y2011.eda.listaEnlazada.modular.Generica;

/**
 * Interfaz que deben implementar los elementos indetificables 
 * por clave. La clave no tiene porque ser unica
 * @author Pablo Sanchez (p.sanchez@unican.es)
 * 		   http://personales.unican.es/sanchezbp	
 * @param <C> Tipo de la clave
 */
public interface IClave<C> {

	/**
	 * Devuelve la clave de tipo C de un cierto elemento
	 * @return La clave o identificacion del elemento
	 */
	public C getClave(); 
} // IClave
